package org.jeecg.modules.bytedance.common.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.HttpEntity;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.entity.mime.MultipartEntityBuilder;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClientBuilder;
import org.jeecg.modules.bytedance.advertise.dockapi.marketing;
import org.jeecg.modules.bytedance.common.constant.BytedanceConstant;
import org.jeecg.modules.bytedance.common.entity.CtopOauthToken;
import org.jeecg.modules.bytedance.common.entity.FileInfo;
import org.jeecg.modules.bytedance.common.mapper.FileInfoMapper;
import org.jeecg.modules.bytedance.common.service.ICtopOauthTokenService;
import org.jeecg.modules.bytedance.common.service.IFileInfoService;
import org.jeecg.modules.bytedance.common.utils.PropertiesUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URI;
import java.util.HashMap;
import java.util.Map;

/**
 * @Description:
 * @Author: jeecg-boot
 * @Date: 2019-07-09
 * @Version: V1.0
 */
@Slf4j
@Service
@Primary
public class FileInfoServiceImpl extends ServiceImpl<FileInfoMapper, FileInfo> implements IFileInfoService {


    @Autowired
    private ICtopOauthTokenService ctopOauthTokenService;


    /**
     * 平台 上传图片
     * @param accountId
     * @param imageUrl
     * @return
     */
    @Override
    public Map<String, Object> uploadImageToBytedance(String accountId, String imageUrl) {
        Map<String, Object> resultMap = new HashMap<>();
        try {
            CtopOauthToken token = ctopOauthTokenService.getOauthTokenByAccountId(accountId);
            JSONObject jsonObject = marketing.imageUpload(token, String.valueOf(token.getAccountId()), imageUrl);
            log.info("头条上传图片素材返回信息：{}，accountId：{}", jsonObject, accountId);
        } catch (Exception e) {
            log.error("头条上传图片文件失败，accountId:{}", accountId);
            log.error(e.getMessage(), e);
        }

        return resultMap;
    }



}
